%define theme junior
%define Theme Junior

Name: design-alterator-browser-qt-%theme
Version: 1.0.3
Release: alt1

Group: Graphics
Summary: %Theme design for alterator-browser-qt
License: GPL
Url: http://www.altlinux.ru/

Requires: alterator-browser-qt
PreReq(post,preun): alternatives >= 0.2
Provides: design-alterator-browser-qt = %version-%release

BuildArch: noarch

Source:%name-%version.tar.gz

BuildRequires(pre): libqt4-core 
BuildRequires: libalternatives-devel
BuildRequires: libqt4-devel

%description
%Theme design for alterator-browser-qt


%prep
%setup -q


%build
%make_build


%install
mkdir -p %buildroot/%_datadir/alterator-browser-qt/design
install -m 0644 %theme.rcc %buildroot/%_datadir/alterator-browser-qt/design

mkdir -p %buildroot/%_altdir
cat >%buildroot/%_altdir/%name <<__EOF__
%_sysconfdir/alterator/design-browser-qt	%_datadir/alterator-browser-qt/design/%theme.rcc 50
__EOF__


%post
%post_register_alternatives %name -- %name
%update_alternatives
%preun
%preun_unregister_alternatives %name
%postun
%update_alternatives


%files
%config %_altdir/%name
%_datadir/alterator-browser-qt/design/%theme.rcc

%changelog
* Wed Dec 12 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.3-alt1
- add step_preinstall.png

* Tue Nov 27 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.2-alt1
- return original progressbar style with workaround
  to don't invert font color

* Tue Oct 16 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.1-alt1
- add step_language.png

* Fri Sep 14 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt3
- fix progres text color

* Fri Sep 14 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt2
- update color scheme

* Fri Aug 24 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt1
- initial spec
